Description

Having problems installing on a clean server "Red Hat Enterprise Linux Server release 7.5 (Maipo)"

Install Instructions followed: https://www.theforeman.org/manuals/1.16/quickstart_guide.html

Instructions: =============

1. yum-config-manager --enable rhel-7-server-optional-rpms

2. yum -y install https://yum.puppetlabs.com/puppet5/puppet5-release-el-7.noarch.rpm

3. yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

4. yum -y install https://yum.theforeman.org/releases/1.16/el7/x86_64/foreman-release.rpm

5. yum -y install foreman-installer

Error1: =======

First issue: GPC key error which resolved manually installing key, the following bug over a year ago manually fixed: 

https://projects.theforeman.org/issues/19600

Error 2: ========

Package: foreman-proxy-1.17.1-1.el7.noarch (foreman)

Requires: rubygem(rake) >= 0.8.3

rubygem 0.8.3 required which it does not install; tried installing manually and Foreman still fails

Is there any definitive instructions to install on Redhat which works?, I also followed https://fedoraproject.org/wiki/EPEL  which still did

not work

Thanks

History

#1 - 06/14/2018 10:42 AM - Ondřej Pražák

Hi, could you check what repositories you have configured? You seem to have used instructions for 1.16, but the error shows a 1.17 proxy was being

installed.

#2 - 08/13/2018 11:50 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Foreman 1.7 install issue Redhat 7.5 Amazon EC2 to Foreman 1.17 install issue Redhat 7.5 Amazon EC2

- Status changed from New to Need more information

#3 - 09/26/2018 11:27 AM - Ewoud Kohl van Wijngaarden

- Status changed from Need more information to Feedback
